API Reference
Log In
API Reference

/mission

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description

Get all missions associated with a user. You may use query strings to change the amount to fetch at once, or which page. Please note this query does not grab raw recorded data. You must GET /api/mission/<mission_id> in order to get detailed data.

Returned Fields

total - total number of missions
size - Number of returned missions
page - the specified page. Null if page is not applicable.
missions - The mission object.

Query Params
int32

The number of missions to include in the object. Default is 10 if no size is specified.

int32

The offset to return. Only applicable if size has been set. For instance, a size of 10 with a page of 2 would return missions starting from 10 * (2-1) = 10 to 20.

string

Order the missions by a field. Use a dash - (minus) to specify an inverted ordering.

Responses

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json